Skip to main content
GET
/
api
/
{portfolio}
/
portfolios
/
v1
/
facilities
/
{facilityUuid}
/
auctions
/
uuids
Get Auction UUIDs
curl --request GET \
  --url https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/auctions/uuids \
  --header 'x-api-key: <x-api-key>'
[
  "<string>"
]

Headers

x-api-key
any
required

Api key required to authenticate your request. Please reach out to monument for a key.

Example:

"monument-2230012-2312321"

Path Parameters

facilityUuid
string
required

Query Parameters

auctionStartDate.lessOrEqual
string

Filter by auctionStartDate less than or equal to this date-time

auctionStartDate.greaterOrEqual
string

Filter by auctionStartDate greater than or equal to this date-time

auctionEndDate.lessOrEqual
string

Filter by auctionEndDate less than or equal to this date-time

auctionEndDate.greaterOrEqual
string

Filter by auctionEndDate greater than or equal to this date-time

auctionStage
enum<string>[]

Filter by auction stage(s)

Available options:
NOT_SCHEDULED,
SCHEDULED,
PAYMENT_PENDING,
WAITING_FOR_CLEAN_OUT,
COMPLETED,
CANCELED,
UNSOLD
auctionScheduledOnDate.lessOrEqual
string

Filter by auctionScheduledOnDate less than or equal to this date-time

auctionScheduledOnDate.greaterOrEqual
string

Filter by auctionScheduledOnDate greater than or equal to this date-time

auctionCompletedOnDate.lessOrEqual
string

Filter by auctionCompletedOnDate less than or equal to this date-time

auctionCompletedOnDate.greaterOrEqual
string

Filter by auctionCompletedOnDate greater than or equal to this date-time

auctionCanceledOnDate.lessOrEqual
string

Filter by auctionCanceledOnDate less than or equal to this date-time

auctionCanceledOnDate.greaterOrEqual
string

Filter by auctionCanceledOnDate greater than or equal to this date-time

Response

200 - application/json

Array of auction UUIDs, most recently updated first, empty if none are found.